#include <pch.hpp>

#include <events/key_event.hpp>

namespace OpenEngine {
    std::string KeyPressedEvent::ToString() const
    {
        std::stringstream ss;

        ss << "KeyPressedEvent: " << keycode << " (" << repeat_count << " repeat(s))";
        return ss.str();
    }

    std::string KeyReleasedEvent::ToString() const
    {
        std::stringstream ss;
        ss << "KeyReleasedEvent: " << keycode;
        return ss.str();
    }
    std::string KeyTypedEvent::ToString() const
    {
        std::stringstream ss;

        ss << "KeyTypedEvent: " << keycode;
        return ss.str();
    }
}
